{
   frmuHelp, help form
   Copyright (c) 2011. Dejan Boras

   This file is part of OpenArena Name Changer (oanc).

   OpenArena Name Changer (oanc) is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 2 of the License, or
   (at your option) any later version.

   OpenArena Name Changer (oanc) is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with OpenArena Name Changer (oanc). If not, see <http://www.gnu.org/licenses/>.

   Started On:    15.04.2011.
   Last Update:   16.04.2011.
}

{$MODE OBJFPC}{$H+}{$I-}
UNIT frmuHelp;

INTERFACE

USES
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  Buttons, StdCtrls,
  {oanc}
  frmuAbout, frmuTextView;

TYPE

  { TfrmHelp }

  TfrmHelp = class(TForm)
     btnAbout: TBitBtn;
     btnBack: TBitBtn;
     btnLGPL: TBitBtn;
     btnMLGPL: TBitBtn;
     btnGPLv2: TBitBtn;
     btnOANCLicense: TBitBtn;
     btnBGRABitmap: TBitBtn;
     btnReadme: TBitBtn;
     btnChangelog: TBitBtn;
     btnQHelp: TBitBtn;
     gbHelp: TGroupBox;
     gbLicense: TGroupBox;
     procedure btnBackClick(Sender: TObject);
     procedure btnAboutClick(Sender: TObject);
     procedure btnBGRABitmapClick(Sender: TObject);
     procedure btnChangelogClick(Sender: TObject);
     procedure btnGPLv2Click(Sender: TObject);
     procedure btnMLGPLClick(Sender: TObject);
     procedure btnLGPLClick(Sender: TObject);
     procedure btnLGPLv3Click(Sender: TObject);
     procedure btnOANCLicenseClick(Sender: TObject);
     procedure btnQHelpClick(Sender: TObject);
     procedure btnReadmeClick(Sender: TObject);
     procedure gbAddInfoClick(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

VAR
  frmHelp: TfrmHelp;

IMPLEMENTATION

procedure ShowTextView(const title, fn: string);
begin
   frmTextView.Caption := title;
   try
      frmTextView.mText.Lines.LoadFromFile(fn);
   except
      frmTextView.mText.Clear();
      frmTextView.mText.Append('Failed to load text from file:');
      frmTextView.mText.Append(fn);
   end;
   frmTextView.ShowModal();;
end;

{ TfrmHelp }

procedure TfrmHelp.btnAboutClick(Sender: TObject);
begin
   frmAbout.ShowModal();
end;

procedure TfrmHelp.btnBGRABitmapClick(Sender: TObject);
begin
   ShowTextView('BGRABitmap Readme', 'bgrabitmap'+DirectorySeparator+'readme.txt');
end;

procedure TfrmHelp.btnChangelogClick(Sender: TObject);
begin
   ShowTextView('Changelog', 'changelog.txt');
end;

procedure TfrmHelp.btnGPLv2Click(Sender: TObject);
begin
   ShowTextView('GNU General Public License v2', 'gnugplv2.txt');
end;

procedure TfrmHelp.btnMLGPLClick(Sender: TObject);
begin
   ShowTextView('GNU Modified Library General Public License', 'bgrabitmap'+DirectorySeparator+'COPYING.modifiedLGPL.txt');
end;

procedure TfrmHelp.btnLGPLClick(Sender: TObject);
begin
   ShowTextView('GNU Library General Public License v2', 'bgrabitmap'+DirectorySeparator+'COPYING.LGPL.txt');
end;

procedure TfrmHelp.btnLGPLv3Click(Sender: TObject);
begin
   ShowTextView('GNU General Public License v3', 'gnugplv3.txt');
end;

procedure TfrmHelp.btnOANCLicenseClick(Sender: TObject);
begin
   ShowTextView('License', 'license.txt');
end;

procedure TfrmHelp.btnQHelpClick(Sender: TObject);
begin
   ShowTextView('Quick Help', 'qhelp.txt');
end;

procedure TfrmHelp.btnReadmeClick(Sender: TObject);
begin
   ShowTextView('Readme', 'readme.txt');
end;

procedure TfrmHelp.gbAddInfoClick(Sender: TObject);
begin

end;

procedure TfrmHelp.btnBackClick(Sender: TObject);
begin
   Close();
end;

INITIALIZATION
  {$I frmuHelp.lrs}

END.

