{
   frmuPreview, player name preview form
   Copyright (c) 2011. Dejan Boras

   This file is part of OpenArena Name Changer (oanc).

   OpenArena Name Changer (oanc) is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 2 of the License, or
   (at your option) any later version.

   OpenArena Name Changer (oanc) is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with OpenArena Name Changer (oanc). If not, see <http://www.gnu.org/licenses/>.

   Started On:    12.03.2011.
   Last Update:   15.04.2011.
}

{$MODE OBJFPC}{$H+}
UNIT frmuPreview;

INTERFACE

USES
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  ExtCtrls,
  uoanc;

TYPE
  { TfrmPreview }

  TfrmPreview = class(TForm)
    shpPrv: TShape;
    procedure FormClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormResize(Sender: TObject);
    procedure shpPrvMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: integer);
    procedure shpPrvPaint(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

VAR
  frmPreview: TfrmPreview;

  sPreviewName: string;

IMPLEMENTATION

{ TfrmPreview }

{make sure the form is as wide as the screen}
procedure TfrmPreview.FormCreate(Sender: TObject);
begin
   frmPreview.Width := Screen.Width;
   frmPreview.Position := poDesktopCenter;
end;

{ we should quit when either the form or preview is clicked}

procedure TfrmPreview.shpPrvMouseUp(Sender: TObject; Button: TMouseButton;
   Shift: TShiftState; X, Y: integer);
begin
   frmPreview.Close();
end;

procedure TfrmPreview.FormClick(Sender: TObject);
begin
   Close();
end;

{adjust preview size when the form is resized}
procedure TfrmPreview.FormResize(Sender: TObject);
begin
   shpPrv.Width := frmPreview.ClientWidth - (shpPrv.Left * 2);
end;

{pait the preview area}
procedure TfrmPreview.shpPrvPaint(Sender: TObject);
begin
   PreviewName(sPreviewName, shpPrv);
end;

INITIALIZATION
   {$I frmuPreview.lrs}

END.

